AnsweredAssumed Answered

how to get the sketch segments

Question asked by Chennai Inopc on Aug 11, 2016
Latest reply on Aug 12, 2016 by Chennai Inopc

Dear All,

 

I am trying to create a macro to get the sketch segment inside the block.

 

Dim swApp As SldWorks.SldWorks

Dim swmodel As SldWorks.ModelDoc2

Dim swselmgr As SldWorks.SelectionMgr

Dim swblk As SldWorks.SketchBlockInstance

Dim swblkdef As SldWorks.SketchBlockDefinition

Dim swarc As SldWorks.SketchArc

Dim i As Integer

Dim swseg As SldWorks.SketchSegment

Sub main()

 

Set swApp = Application.SldWorks

Set swmodel = swApp.ActiveDoc

Set swselmgr = swmodel.SelectionManager

Set swblk = swselmgr.GetSelectedObject5(1)

swmodel.SketchManager.EditSketchBlock

Set swblkdef = swblk.Definition

 

Please help me out this..to get the sketchsegment inside the block

Outcomes